import { html as v } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as n } from "./PieIconComponent.js";
import { safeCustomElement as l } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, z = Object.getOwnPropertyDescriptor, c = (i, h, p, e) => {
  for (var t = e > 1 ? void 0 : e ? z(h, p) : h, o = i.length - 1, s; o >= 0; o--)
    (s = i[o]) && (t = (e ? s(h, p, t) : s(t)) || t);
  return e && t && m(h, p, t), t;
};
let r = class extends n {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--switchProductLarge", this.class = "c-pieIcon c-pieIcon--switchProductLarge", this.name = "IconSwitchProductLarge";
  }
  render() {
    return v`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--switchProductLarge"><path d="M8.974 6.375v2.599H6.375V6.375zm1.75-1.75H4.625v6.099h6.099z"></path><path d="M8.974 14.696v2.6H6.375v-2.6zm1.75-1.75H4.625v6.1h6.099z"></path><path d="M17.295 6.375v2.599h-2.599V6.375zm1.75-1.75h-6.099v6.099h6.1z"></path><path d="M17.295 14.696v2.6h-2.599v-2.6zm1.75-1.75h-6.099v6.1h6.1z"></path><path d="M8.974 23.018v2.598H6.375v-2.598zm1.75-1.75H4.625v6.098h6.099z"></path><path d="M17.295 23.018v2.598h-2.599v-2.598zm1.75-1.75h-6.099v6.098h6.1z"></path><path d="M25.616 6.375v2.599h-2.598V6.375zm1.75-1.75h-6.098v6.099h6.098z"></path><path d="M25.616 14.696v2.6h-2.598v-2.6zm1.75-1.75h-6.098v6.1h6.098z"></path><path d="M25.616 23.018v2.598h-2.598v-2.598zm1.75-1.75h-6.098v6.098h6.098z"></path></svg>`;
  }
};
c([
  a({ type: String, reflect: !0 })
], r.prototype, "size", 2);
c([
  a({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = c([
  l("icon-switch-product-large")
], r);
export {
  r as IconSwitchProductLarge
};
